"use strict";
const common_vendor = require("../../../common/vendor.js");
const BILL_collection_record_index_model = require("./model.js");
const BILL_collection_record_index_method = require("./method.js");
const gen_Enums = require("../../../gen/Enums.js");
require("../../../common/libraries/day.js");
require("../../../common/libraries/apiLoading.js");
require("../../../gen/Apis.js");
require("../../../common/libraries/request.js");
require("../../../common/store/useWeAppAuthStore.js");
require("../../../common/store/useWatermarkStore.js");
require("../../../common/store/useWorkStore.js");
if (!Array) {
  const _easycom_hs_tabs2 = common_vendor.resolveComponent("hs-tabs");
  const _easycom_uni_icons2 = common_vendor.resolveComponent("uni-icons");
  const _easycom_up_icon2 = common_vendor.resolveComponent("up-icon");
  const _easycom_hs_enum_tag2 = common_vendor.resolveComponent("hs-enum-tag");
  const _easycom_cc_scroll_loading2 = common_vendor.resolveComponent("cc-scroll-loading");
  (_easycom_hs_tabs2 + _easycom_uni_icons2 + _easycom_up_icon2 + _easycom_hs_enum_tag2 + _easycom_cc_scroll_loading2)();
}
const _easycom_hs_tabs = () => "../../../components/hs-tabs/hs-tabs.js";
const _easycom_uni_icons = () => "../../../uni_modules/uni-icons/components/uni-icons/uni-icons.js";
const _easycom_up_icon = () => "../../../node-modules/uview-plus/components/u-icon/u-icon.js";
const _easycom_hs_enum_tag = () => "../../../components/hs-enum-tag/hs-enum-tag.js";
const _easycom_cc_scroll_loading = () => "../../../common/components/cc-scroll-loading/cc-scroll-loading.js";
if (!Math) {
  (_easycom_hs_tabs + _easycom_uni_icons + _easycom_up_icon + _easycom_hs_enum_tag + _easycom_cc_scroll_loading)();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    const tablist = [
      { label: "全部", value: "" },
      { label: "已完成", value: "Completed" },
      { label: "进行中", value: "Processing" }
    ];
    common_vendor.onLoad(async () => {
      var _a, _b;
      await ((_a = common_vendor.getCurrentInstance()) == null ? void 0 : _a.appContext.config.globalProperties.$onLaunched);
      BILL_collection_record_index_model.useModel.dataList.value = [];
      (_b = BILL_collection_record_index_method.method) == null ? void 0 : _b.getList();
    });
    return (_ctx, _cache) => {
      var _a, _b, _c, _d, _e, _f, _g, _h;
      return {
        a: common_vendor.o((_a = common_vendor.unref(BILL_collection_record_index_method.method)) == null ? void 0 : _a.changeTab),
        b: common_vendor.p({
          list: tablist,
          current: (_c = (_b = common_vendor.unref(BILL_collection_record_index_model.useModel)) == null ? void 0 : _b.tabCurrent) == null ? void 0 : _c.value
        }),
        c: common_vendor.f((_e = (_d = common_vendor.unref(BILL_collection_record_index_model.useModel)) == null ? void 0 : _d.dataList) == null ? void 0 : _e.value, (i, index, i0) => {
          var _a2;
          return common_vendor.e({
            a: common_vendor.t(i == null ? void 0 : i.task_name),
            b: (i == null ? void 0 : i.status) === "Processing"
          }, (i == null ? void 0 : i.status) === "Processing" ? {
            c: "9447b322-2-" + i0 + ",9447b322-1",
            d: common_vendor.p({
              type: "refreshempty",
              size: "14",
              color: "#0082fa"
            })
          } : {}, {
            e: "9447b322-3-" + i0 + ",9447b322-1",
            f: common_vendor.t((_a2 = i == null ? void 0 : i.company_employee) == null ? void 0 : _a2.name),
            g: "9447b322-4-" + i0 + ",9447b322-1",
            h: common_vendor.t(i == null ? void 0 : i.created_at),
            i: "9447b322-5-" + i0 + ",9447b322-1",
            j: common_vendor.p({
              value: i == null ? void 0 : i.status,
              Enums: common_vendor.unref(gen_Enums.HouseCollectionTasksStatusEnum)
            }),
            k: "9447b322-6-" + i0 + ",9447b322-1",
            l: common_vendor.p({
              type: "right",
              size: "15",
              color: (i == null ? void 0 : i.status) === "Processing" ? "#0082fa" : "#67C23A"
            }),
            m: common_vendor.n(`status status_${i == null ? void 0 : i.status}`),
            n: `items_${index}`,
            o: common_vendor.n(`collection_record_item items_${i == null ? void 0 : i.status}`),
            p: common_vendor.o(($event) => {
              var _a3;
              return (_a3 = common_vendor.unref(BILL_collection_record_index_method.method)) == null ? void 0 : _a3.goDetail(i);
            }, `items_${index}`)
          });
        }),
        d: common_vendor.p({
          type: "person",
          size: "15",
          color: "#C4C4C4"
        }),
        e: common_vendor.p({
          name: "clock",
          size: "15",
          color: "#C4C4C4"
        }),
        f: common_vendor.o((_f = common_vendor.unref(BILL_collection_record_index_method.method)) == null ? void 0 : _f.load),
        g: common_vendor.p({
          meta: (_h = (_g = common_vendor.unref(BILL_collection_record_index_model.useModel)) == null ? void 0 : _g.meta) == null ? void 0 : _h.value
        })
      };
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "/Users/zsq/Sources/github/2025property-pay/pay-employee/src/BILL/collection_record/index/index.vue"]]);
wx.createPage(MiniProgramPage);
